*******************************************************************************
*                          680xx Grundprogramm cas                            *
*                         (C) 1990 Ralph Dombrowski                           *
*                             2008 Jens Mewes                                 *
*                                 Rev 7.10                                    *
*                                01.01.2008                                   *
*                          Kassettenrecorder IOs                              *
*******************************************************************************


* Unterprogramme fr die Kassettenbedienung

casinit:
 move.b #$53,cmdcas.w           * Kassetteninterface an
relaisan:
 move.b #$50,cmdcas.w           * Relais anschalten
rts

relaisaus:
 move.b #$10,cmdcas.w           * Relais ausschalten
rts

ri:                             * Zeichen von Kassette lesen
 bsr.s poorichk
 btst.b #0,cmdcas.w             * Warten bis Zeichen da
 beq.s ri
 moveq #0,d0                    * Byte innerhalb Langwort gltig
 move.b datcas.w,d0             * Zeichen holen
bra carres

poo:                            * Zeichen auf Kassette schreiben
 bsr.s poorichk
 btst.b #1,cmdcas.w             * Warten bis letztes Zeichen geschrieben
 beq.s poo
 move.b d0,datcas.w             * Zeichen ausgeben
bra carres

poorichk:                       * Wenn CTRL-C, dann Abbruch mit Carry=1
 move.l d0,-(a7)
 bsr csts                       * Wenn Zeichen da, dann abfragen
 beq.s pooric1                  * Sonst OK
 bsr ci
 cmp.b #$1b,d0                  * CTRL-C
 bne.s pooric1
 addq.l #4+4,a7
bra carset                      * Abbruch
pooric1:
 move.l (a7)+,d0
rts                             * Zurck

